Description

When one starts really working with the CITk and its software, I wonder if besides access with a web-browser a command line tool is

useful. The rationale is that it makes information lookup (and potentially further operations) much more convenient in a developers

(or other automated) workflows.

So, for instance, I usually have the issue to fire up my browser to check documentation, SVN or other links. Much better would be to

do this from the command line, e.g., to continue working with an SVN link or open the target documentation directly in the browser

from the script.

To play around with this, I created an initial Python module that works on top of the JSON data available through the web interface.

Please note, that this is a very early prototype but it allows already to lookup basic information as shown in the following:

Sebastians-MacBook-Air:citk-tool swrede$ citk-tool --query='*flobi*'

before tk

Component path: /Users/swrede/Workspace/citk-tool/data/components.json

Found 3 matching toolkit entites:

=================================

https://toolkit.cit-ec.uni-bielefeld.de/components/actuation/flobis-oculomotor-control

https://toolkit.cit-ec.uni-bielefeld.de/components/communication/flobi-library

https://toolkit.cit-ec.uni-bielefeld.de/components/manipulation/flobi-server

-----

Flobi&#039;s Oculomotor Control

Author: https://toolkit.cit-ec.uni-bielefeld.de/user/649

Source: https://projects.cit-ec.uni-bielefeld.de/svn/flobi/apps/focus/

Homepage: N/A

-----

Flobi Library

Author: https://toolkit.cit-ec.uni-bielefeld.de/user/435

Source: https://code.ai.techfak.uni-bielefeld.de/scm/ai/software/flobilib

Homepage: https://projects.cit-ec.uni-bielefeld.de/projects/flobi

-----

Flobi Server

Author: https://toolkit.cit-ec.uni-bielefeld.de/user/435

Source: https://code.ai.techfak.uni-bielefeld.de/scm/ai/software/flobi-server/trunk

Homepage: https://projects.cit-ec.uni-bielefeld.de/projects/flobi

 

It contains some hacks (and needs cleanup as well as extension) but some aspects already raise general questions about the

http-based API of the toolkit (like if there is a server-side search-function that returns a list of references).

Anyway: If the general idea is appreciated, I'd check in the current code.

History

#1 - 2015-08-26 09:42 - Florian Lier

I'll be working on that

#2 - 2015-08-27 14:24 - Florian Lier

- Status changed from New to In Progress
- Assignee set to Thorsten Schodde

As discussed with thorsten he will implement this.

#3 - 2015-09-18 15:26 - Thorsten Schodde

- % Done changed from 0 to 90

#4 - 2015-09-25 14:00 - Thorsten Schodde

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
